- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Typedefs | Functions

# fbxwriterfbx6.h File Reference

`#include <fbxsdk.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxWriterFbx6
struct | FbxWriterFbx6::TextureAnimatedChannels
struct | FbxWriterFbx6::SurfaceMaterialAnimatedChannels
struct | FbxWriterFbx6::ModifiedPropertyInfo
## Defines
#define | FBX2010_00_COMPATIBLE "FBX201000"
#define | FBX2009_00_V7_COMPATIBLE "FBX200900v7"
#define | FBX2009_00_COMPATIBLE "FBX200900"
#define | FBX2006_11_COMPATIBLE "FBX200611"
#define | FBX2006_08_COMPATIBLE "FBX200608"
#define | FBX2006_02_COMPATIBLE "FBX200602_MB75"
#define | FBX2005_08_COMPATIBLE "FBX200508_MB70"
#define | FBX60_COMPATIBLE "FBX60_MB60"
## Typedefs
typedef FbxArray< FbxTakeInfo * > | TakeInfoArray
## Functions
bool | IsNameUnique (FbxScene &pScene, FbxObject *pObject)

## Detailed Description

Definition in file fbxwriterfbx6.h.

## Define Documentation

#define FBX2010_00_COMPATIBLE "FBX201000"

Search for all occurrences

Definition at line 26 of file fbxwriterfbx6.h.

#define FBX2009_00_V7_COMPATIBLE "FBX200900v7"

Search for all occurrences

Definition at line 27 of file fbxwriterfbx6.h.

#define FBX2009_00_COMPATIBLE "FBX200900"

Search for all occurrences

Definition at line 28 of file fbxwriterfbx6.h.

#define FBX2006_11_COMPATIBLE "FBX200611"

Search for all occurrences

Definition at line 29 of file fbxwriterfbx6.h.

#define FBX2006_08_COMPATIBLE "FBX200608"

Search for all occurrences

Definition at line 30 of file fbxwriterfbx6.h.

#define FBX2006_02_COMPATIBLE "FBX200602_MB75"

Search for all occurrences

Definition at line 31 of file fbxwriterfbx6.h.

#define FBX2005_08_COMPATIBLE "FBX200508_MB70"

Search for all occurrences

Definition at line 32 of file fbxwriterfbx6.h.

#define FBX60_COMPATIBLE "FBX60_MB60"

Search for all occurrences

Definition at line 33 of file fbxwriterfbx6.h.

## Typedef Documentation

typedef FbxArray<FbxTakeInfo*> TakeInfoArray

Search for all occurrences

Definition at line 35 of file fbxwriterfbx6.h.

## Function Documentation

bool IsNameUnique | ( | FbxScene & | pScene,
|  | FbxObject * | pObject
| ) |  |

Search for all occurrences